# eoPopLoopEval< EOT > Class Template Reference

eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring More...

`#include <eoPopEvalFunc.h>`

Inheritance diagram for eoPopLoopEval< EOT >:

List of all members.

## Public Member Functions

| eoPopLoopEval (eoEvalFunc< EOT > &_eval)
| Ctor: set value of embedded eoEvalFunc.
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| Do the job: simple loop over the offspring.

## Private Attributes

eoEvalFunc< EOT > & | eval

## Detailed Description

### template<class EOT>
class eoPopLoopEval< EOT >

eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring

Definition at line 60 of file eoPopEvalFunc.h.

The documentation for this class was generated from the following file:

- eoPopEvalFunc.h